# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapIteratorOfDataMapOfStringString Class Reference

`#include <TDataStd_DataMapIteratorOfDataMapOfStringString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringString ()
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringString (const TDataStd_DataMapOfStringString &aMap)
Standard_EXPORT void | Initialize (const TDataStd_DataMapOfStringString &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const TCollection_ExtendedString & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringString::TDataStd_DataMapIteratorOfDataMapOfStringString | ( |  | ) |

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringString::TDataStd_DataMapIteratorOfDataMapOfStringString | ( | const TDataStd_DataMapOfStringString & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_DataMapIteratorOfDataMapOfStringString::Initialize | ( | const TDataStd_DataMapOfStringString & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& TDataStd_DataMapIteratorOfDataMapOfStringString::Key | ( |  | ) | const

void TDataStd_DataMapIteratorOfDataMapOfStringString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringString::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TCollection_ExtendedString& TDataStd_DataMapIteratorOfDataMapOfStringString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDataStd_DataMapIteratorOfDataMapOfStringString.hxx